Package org.zkoss.bind.proxy

## Class FormProxyHandler<T>

- java.lang.Object
- - org.zkoss.bind.proxy.BeanProxyHandler<T>
  - - org.zkoss.bind.proxy.FormProxyHandler<T>

- All Implemented Interfaces:
    `java.io.Serializable`, `javassist.util.proxy.MethodHandler`

      public class FormProxyHandler<T>
      extends BeanProxyHandler<T>

  A form proxy handler
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static javassist.util.proxy.MethodFilter` | `FORM_METHOD_FILTER` |

    - ### Fields inherited from class org.zkoss.bind.proxy.BeanProxyHandler

      `_cache, _dirtyFieldNames, _node, _origin, BEAN_METHOD_FILTER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormProxyHandler​(T origin)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `invoke​(java.lang.Object self, java.lang.reflect.Method method, java.lang.reflect.Method proceed, java.lang.Object[] args)` |

    - ### Methods inherited from class org.zkoss.bind.proxy.BeanProxyHandler

      `isSetMethodHandled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORM_METHOD_FILTER

          protected static javassist.util.proxy.MethodFilter FORM_METHOD_FILTER

  - ### Constructor Detail

    - #### FormProxyHandler

          public FormProxyHandler​(T origin)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke​(java.lang.Object self,
                                         java.lang.reflect.Method method,
                                         java.lang.reflect.Method proceed,
                                         java.lang.Object[] args)
                                  throws java.lang.Exception

      Specified by:
        `invoke` in interface `javassist.util.proxy.MethodHandler`
      Overrides:
        `invoke` in class `BeanProxyHandler<T>`
      Throws:
        `java.lang.Exception`